| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Functions | Variables
jpegint.h File Reference

Go to the source code of this file.

## Classes
struct | jpeg_comp_master
struct | jpeg_c_main_controller
struct | jpeg_c_prep_controller
struct | jpeg_c_coef_controller
struct | jpeg_color_converter
struct | jpeg_downsampler
struct | jpeg_forward_dct
struct | jpeg_entropy_encoder
struct | jpeg_marker_writer
struct | jpeg_decomp_master
struct | jpeg_input_controller
struct | jpeg_d_main_controller
struct | jpeg_d_coef_controller
struct | jpeg_d_post_controller
struct | jpeg_marker_reader
struct | jpeg_entropy_decoder
struct | jpeg_inverse_dct
struct | jpeg_upsampler
struct | jpeg_color_deconverter
struct | jpeg_color_quantizer

## Macros
#define | CSTATE_START 100 /* after create_compress */
#define | CSTATE_SCANNING 101 /* start_compress done, write_scanlines OK */
#define | CSTATE_RAW_OK 102 /* start_compress done, write_raw_data OK */
#define | CSTATE_WRCOEFS 103 /* jpeg_write_coefficients done */
#define | DSTATE_START 200 /* after create_decompress */
#define | DSTATE_INHEADER 201 /* reading header markers, no SOS yet */
#define | DSTATE_READY 202 /* found SOS, ready for start_decompress */
#define | DSTATE_PRELOAD 203 /* reading multiscan file in start_decompress*/
#define | DSTATE_PRESCAN 204 /* performing dummy pass for 2-pass quant */
#define | DSTATE_SCANNING 205 /* start_decompress done, read_scanlines OK */
#define | DSTATE_RAW_OK 206 /* start_decompress done, read_raw_data OK */
#define | DSTATE_BUFIMAGE 207 /* expecting jpeg_start_output */
#define | DSTATE_BUFPOST 208 /* looking for SOS/EOI in jpeg_finish_output */
#define | DSTATE_RDCOEFS 209 /* reading file in jpeg_read_coefficients */
#define | DSTATE_STOPPING 210 /* looking for EOI in jpeg_finish_decompress */
#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | MIN(a, b) ((a) < (b) ? (a) : (b))
#define | SHIFT_TEMPS
#define | RIGHT_SHIFT(x, shft) ((x) >> (shft))

## Enumerations
enum | J_BUF_MODE { JBUF_PASS_THRU, JBUF_SAVE_SOURCE, JBUF_CRANK_DEST, JBUF_SAVE_AND_PASS }

## Functions
typedef | JMETHOD (void, inverse_DCT_method_ptr,(j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col))
| EXTERN (void) jinit_compress_master JPP((j_compress_ptr cinfo))
| EXTERN (long) jdiv_round_up JPP((long a

## Variables
boolean | transcode_only
boolean | need_full_buffer
long | b
int | source_row
int JSAMPARRAY | output_array
int JSAMPARRAY int | dest_row
int JSAMPARRAY int int | num_rows
int JSAMPARRAY int int JDIMENSION | num_cols
JBLOCKROW | output_row
JBLOCKROW JDIMENSION | num_blocks
size_t | bytestozero
const int | jpeg_natural_order []

## Macro Definition Documentation

#define CSTATE_RAW_OK 102 /* start_compress done, write_raw_data OK */

Definition at line 27 of file jpegint.h.

#define CSTATE_SCANNING 101 /* start_compress done, write_scanlines OK */

Definition at line 26 of file jpegint.h.

#define CSTATE_START 100 /* after create_compress */

Definition at line 25 of file jpegint.h.

#define CSTATE_WRCOEFS 103 /* jpeg_write_coefficients done */

Definition at line 28 of file jpegint.h.

#define DSTATE_BUFIMAGE 207 /* expecting jpeg_start_output */

Definition at line 36 of file jpegint.h.

#define DSTATE_BUFPOST 208 /* looking for SOS/EOI in jpeg_finish_output */

Definition at line 37 of file jpegint.h.

#define DSTATE_INHEADER 201 /* reading header markers, no SOS yet */

Definition at line 30 of file jpegint.h.

#define DSTATE_PRELOAD 203 /* reading multiscan file in start_decompress*/

Definition at line 32 of file jpegint.h.

#define DSTATE_PRESCAN 204 /* performing dummy pass for 2-pass quant */

Definition at line 33 of file jpegint.h.

#define DSTATE_RAW_OK 206 /* start_decompress done, read_raw_data OK */

Definition at line 35 of file jpegint.h.

#define DSTATE_RDCOEFS 209 /* reading file in jpeg_read_coefficients */

Definition at line 38 of file jpegint.h.

#define DSTATE_READY 202 /* found SOS, ready for start_decompress */

Definition at line 31 of file jpegint.h.

#define DSTATE_SCANNING 205 /* start_decompress done, read_scanlines OK */

Definition at line 34 of file jpegint.h.

#define DSTATE_START 200 /* after create_decompress */

Definition at line 29 of file jpegint.h.

#define DSTATE_STOPPING 210 /* looking for EOI in jpeg_finish_decompress */

Definition at line 39 of file jpegint.h.

#define MAX | ( |  | a,
|  |  | b
| ) |  | ((a) > (b) ? (a) : (b))

Definition at line 267 of file jpegint.h.

#define MIN | ( |  | a,
|  |  | b
| ) |  | ((a) < (b) ? (a) : (b))

Definition at line 269 of file jpegint.h.

#define RIGHT_SHIFT | ( |  | x,
|  |  | shft
| ) |  | ((x) >> (shft))

Definition at line 290 of file jpegint.h.

#define SHIFT_TEMPS

Definition at line 289 of file jpegint.h.

## Enumeration Type Documentation

enum J_BUF_MODE

Enumerator
JBUF_PASS_THRU |
JBUF_SAVE_SOURCE |
JBUF_CRANK_DEST |
JBUF_SAVE_AND_PASS |

Definition at line 16 of file jpegint.h.

## Function Documentation

EXTERN | ( | void |  | ) |

EXTERN | ( | long |  | ) |

typedef JMETHOD | ( | void | ,
|  | inverse_DCT_method_ptr | ,
|  | (j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col) |
| ) |  |

## Variable Documentation

long b

Definition at line 371 of file jpegint.h.

size_t bytestozero

Definition at line 378 of file jpegint.h.

int JSAMPARRAY int dest_row

Definition at line 373 of file jpegint.h.

const int jpeg_natural_order[]

Definition at line 53 of file jutils.c.

boolean need_full_buffer

Definition at line 338 of file jpegint.h.

JBLOCKROW JDIMENSION num_blocks

Definition at line 376 of file jpegint.h.

int JSAMPARRAY int int JDIMENSION num_cols

Definition at line 373 of file jpegint.h.

int JSAMPARRAY int int num_rows

Definition at line 373 of file jpegint.h.

int JSAMPARRAY output_array

Definition at line 373 of file jpegint.h.

JBLOCKROW output_row

Definition at line 376 of file jpegint.h.

int source_row

Definition at line 373 of file jpegint.h.

boolean transcode_only

Definition at line 336 of file jpegint.h.